package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SsidOverride Config List
 */
@ApiModel(description = "SsidOverride Config List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SsidOverrideOpenApiV2Vo   {
  @JsonProperty("ssidEntryId")
  private Integer ssidEntryId;

  @JsonProperty("overrideSsidName")
  private String overrideSsidName;

  @JsonProperty("overrideSsidPassword")
  private String overrideSsidPassword;

  @JsonProperty("overrideSsidEnable")
  private Boolean overrideSsidEnable;

  @JsonProperty("overrideVlanEnable")
  private Boolean overrideVlanEnable;

  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("ssidEnable")
  private Boolean ssidEnable;

  public SsidOverrideOpenApiV2Vo ssidEntryId(Integer ssidEntryId) {
    this.ssidEntryId = ssidEntryId;
    return this;
  }

  /**
   * This field represents SSID Entry ID.SSID Entry ID can be obtained from 'Get ap WLANs override config' interface.
   * @return ssidEntryId
  */
  @ApiModelProperty(required = true, value = "This field represents SSID Entry ID.SSID Entry ID can be obtained from 'Get ap WLANs override config' interface.")
  @NotNull


  public Integer getSsidEntryId() {
    return ssidEntryId;
  }

  public void setSsidEntryId(Integer ssidEntryId) {
    this.ssidEntryId = ssidEntryId;
  }

  public SsidOverrideOpenApiV2Vo overrideSsidName(String overrideSsidName) {
    this.overrideSsidName = overrideSsidName;
    return this;
  }

  /**
   * Override SSID name. It should contain 1 to 32 UTF-8 characters.
   * @return overrideSsidName
  */
  @ApiModelProperty(value = "Override SSID name. It should contain 1 to 32 UTF-8 characters.")


  public String getOverrideSsidName() {
    return overrideSsidName;
  }

  public void setOverrideSsidName(String overrideSsidName) {
    this.overrideSsidName = overrideSsidName;
  }

  public SsidOverrideOpenApiV2Vo overrideSsidPassword(String overrideSsidPassword) {
    this.overrideSsidPassword = overrideSsidPassword;
    return this;
  }

  /**
   * Override SSID password(when security is WPA-Personal need fill).It should contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.
   * @return overrideSsidPassword
  */
  @ApiModelProperty(value = "Override SSID password(when security is WPA-Personal need fill).It should contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.")


  public String getOverrideSsidPassword() {
    return overrideSsidPassword;
  }

  public void setOverrideSsidPassword(String overrideSsidPassword) {
    this.overrideSsidPassword = overrideSsidPassword;
  }

  public SsidOverrideOpenApiV2Vo overrideSsidEnable(Boolean overrideSsidEnable) {
    this.overrideSsidEnable = overrideSsidEnable;
    return this;
  }

  /**
   * Enable/disable SSID override
   * @return overrideSsidEnable
  */
  @ApiModelProperty(required = true, value = "Enable/disable SSID override")
  @NotNull


  public Boolean getOverrideSsidEnable() {
    return overrideSsidEnable;
  }

  public void setOverrideSsidEnable(Boolean overrideSsidEnable) {
    this.overrideSsidEnable = overrideSsidEnable;
  }

  public SsidOverrideOpenApiV2Vo overrideVlanEnable(Boolean overrideVlanEnable) {
    this.overrideVlanEnable = overrideVlanEnable;
    return this;
  }

  /**
   * Enable/disable VLAN override
   * @return overrideVlanEnable
  */
  @ApiModelProperty(required = true, value = "Enable/disable VLAN override")
  @NotNull


  public Boolean getOverrideVlanEnable() {
    return overrideVlanEnable;
  }

  public void setOverrideVlanEnable(Boolean overrideVlanEnable) {
    this.overrideVlanEnable = overrideVlanEnable;
  }

  public SsidOverrideOpenApiV2Vo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * VLAN ID
   * @return vlanId
  */
  @ApiModelProperty(value = "VLAN ID")


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public SsidOverrideOpenApiV2Vo ssidEnable(Boolean ssidEnable) {
    this.ssidEnable = ssidEnable;
    return this;
  }

  /**
   * Enable/disable SSID
   * @return ssidEnable
  */
  @ApiModelProperty(value = "Enable/disable SSID")


  public Boolean getSsidEnable() {
    return ssidEnable;
  }

  public void setSsidEnable(Boolean ssidEnable) {
    this.ssidEnable = ssidEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SsidOverrideOpenApiV2Vo ssidOverrideOpenApiV2Vo = (SsidOverrideOpenApiV2Vo) o;
    return Objects.equals(this.ssidEntryId, ssidOverrideOpenApiV2Vo.ssidEntryId) &&
        Objects.equals(this.overrideSsidName, ssidOverrideOpenApiV2Vo.overrideSsidName) &&
        Objects.equals(this.overrideSsidPassword, ssidOverrideOpenApiV2Vo.overrideSsidPassword) &&
        Objects.equals(this.overrideSsidEnable, ssidOverrideOpenApiV2Vo.overrideSsidEnable) &&
        Objects.equals(this.overrideVlanEnable, ssidOverrideOpenApiV2Vo.overrideVlanEnable) &&
        Objects.equals(this.vlanId, ssidOverrideOpenApiV2Vo.vlanId) &&
        Objects.equals(this.ssidEnable, ssidOverrideOpenApiV2Vo.ssidEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ssidEntryId, overrideSsidName, overrideSsidPassword, overrideSsidEnable, overrideVlanEnable, vlanId, ssidEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SsidOverrideOpenApiV2Vo {\n");
    
    sb.append("    ssidEntryId: ").append(toIndentedString(ssidEntryId)).append("\n");
    sb.append("    overrideSsidName: ").append(toIndentedString(overrideSsidName)).append("\n");
    sb.append("    overrideSsidPassword: ").append(toIndentedString(overrideSsidPassword)).append("\n");
    sb.append("    overrideSsidEnable: ").append(toIndentedString(overrideSsidEnable)).append("\n");
    sb.append("    overrideVlanEnable: ").append(toIndentedString(overrideVlanEnable)).append("\n");
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    ssidEnable: ").append(toIndentedString(ssidEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

